Bug 151868 - Select All function in Up2date only selects one package
Select All function in Up2date only selects one package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-22 19:43 EST by Zachary Napora
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:33:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zachary Napora 2005-03-22 19:43:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050308 Firefox/1.0.1 Fedora/1.0.1-5

Description of problem:
When pressing the "Select All Packages" button in the available package updates screen, the program only selects one package from the list.

Version-Release number of selected component (if applicable):
up2date-4.4.9

How reproducible:
Always

Steps to Reproduce:
1. Launch up2date
2. Continue to the available package updates screen
3. Click the "Select All Packages" button
  

Actual Results:  Only one package was chosen from the list.

Expected Results:  All of the packages should have been selected.

Additional info:
Comment 1 Ricky Ng-Adam 2005-03-25 13:34:12 EST
I can confirm this bug: only the first package in the list is selected when
"Select All Packages" is clicked.
Comment 2 Clyde E. Kunkel 2005-03-27 10:49:23 EST
I can also confirm that this bug has been around for a couple of weeks.  Besides
using the command line version of up2date, is there a work-around that will
allow us to select various packages using the gui?
Comment 3 Sean Earp 2005-03-31 00:47:51 EST
This is a duplicate of bug 151349 (I don't have the power to mark it as such...)

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=151349

-Sean
Comment 4 John Thacker 2006-10-29 15:32:49 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 5 John Thacker 2006-11-05 11:33:44 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.